=== motion_planning_tasks/CMakeLists.txt ===
add_subdirectory(utils)
add_subdirectory(properties)
add_subdirectory(src)
add_subdirectory(test)
