=== debian/changelog ===
ros-one-moveit-task-constructor-visualization (0.1.4-0noble.20251027.2301) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 27 Oct 2025 23:01:14 +0000

ros-one-moveit-task-constructor-visualization (0.1.4-0noble) noble; urgency=high

  * Mandatory yaml dependency
  * Increase minimum required CMake version to 3.16 supported by Ubuntu 20.04
  * clang-format-14
  * clang-tidy fixes: use uint8_t enums
  * Simplify formatting code with https://github.com/fmtlib (#499 <https://github.com/moveit/moveit_task_constructor/issues/499>)
  * Drop Kinetic support
  * Fix discontinuity in trajectory (#485 <https://github.com/moveit/moveit_task_constructor/issues/485>)
  * Cleanup debug output
  * Add more debugging output
  * Hide button to show rviz-based task construction (#492 <https://github.com/moveit/moveit_task_constructor/issues/492>)
  * Fix Qt 5.15 deprecation warnings
  * Limit time to wait for execute_task_solution action server
  * Replace namespace robot_[model|state] with moveit::core
  * Use pluginlib consistently (#463 <https://github.com/moveit/moveit_task_constructor/issues/463>)
  * Contributors: Michael Görner, Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Oct 2025 00:00:00 -0000

ros-one-moveit-task-constructor-visualization (0.1.3-0noble) noble; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 06 Mar 2023 00:00:00 -0000

ros-one-moveit-task-constructor-visualization (0.1.2-0noble) noble; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 24 Feb 2023 00:00:00 -0000

ros-one-moveit-task-constructor-visualization (0.1.1-0noble) noble; urgency=high

  * Remove unused eigen_conversions includes
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Feb 2023 00:00:00 -0000

ros-one-moveit-task-constructor-visualization (0.1.0-0noble) noble; urgency=high

  * Initial release
  * Contributors: Robert Haschke, Michael Görner

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 02 Feb 2023 00:00:00 -0000
