=== debian/control ===
Source: ros-one-moveit-task-constructor-visualization
Section: misc
Priority: optional
Maintainer: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Build-Depends: debhelper (>= 9.0.0), libfmt-dev, libyaml-dev, qtbase5-dev, ros-one-catkin, ros-one-moveit-core, ros-one-moveit-ros-visualization, ros-one-moveit-task-constructor-core, ros-one-moveit-task-constructor-msgs, ros-one-roscpp, ros-one-rviz
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-moveit-task-constructor-visualization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfmt-dev, libyaml-dev, ros-one-moveit-core, ros-one-moveit-ros-visualization, ros-one-moveit-task-constructor-core, ros-one-moveit-task-constructor-msgs, ros-one-roscpp, ros-one-rviz
Description: Visualization tools for MoveIt Task Pipeline
