## ros-one-moveit-task-constructor-visualization 0.1.4-3jammy.20251213.2128

=== debian/changelog ===
ros-one-moveit-task-constructor-visualization (0.1.4-3jammy.20251213.2128) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 13 Dec 2025 21:28:01 +0000
