## ros-one-moveit-task-constructor-visualization 0.1.4-3noble.20251213.2133

=== debian/changelog ===
ros-one-moveit-task-constructor-visualization (0.1.4-3noble.20251213.2133) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 13 Dec 2025 21:33:53 +0000
