## ros-one-moveit-task-constructor-visualization 0.1.4-4jammy.20251216.0005

=== debian/changelog ===
ros-one-moveit-task-constructor-visualization (0.1.4-4jammy.20251216.0005) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 16 Dec 2025 00:05:42 +0000
