## ros-one-moveit-task-constructor-visualization 0.1.4-4jammy.20260128.2348

=== debian/changelog ===
ros-one-moveit-task-constructor-visualization (0.1.4-4jammy.20260128.2348) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 28 Jan 2026 23:48:57 +0000
