## ros-one-moveit-task-constructor-visualization 0.1.4-4noble.20251216.0007

=== debian/changelog ===
ros-one-moveit-task-constructor-visualization (0.1.4-4noble.20251216.0007) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 16 Dec 2025 00:07:43 +0000
